/**
 * XActRelationshipExternalReference.java
 *
 * File generated from the medication::XActRelationshipExternalReference uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActRelationshipExternalReference.
 *
 * 
 */

@XmlType(name = "XActRelationshipExternalReference")
@XmlEnum
@XmlRootElement(name = "XActRelationshipExternalReference")
public enum XActRelationshipExternalReference {
	@XmlEnumValue("XCRPT")
	XCRPT("XCRPT"),
	@XmlEnumValue("RPLC")
	RPLC("RPLC"),
	@XmlEnumValue("SPRT")
	SPRT("SPRT"),
	@XmlEnumValue("ELNK")
	ELNK("ELNK"),
	@XmlEnumValue("REFR")
	REFR("REFR"),
	@XmlEnumValue("SUBJ")
	SUBJ("SUBJ");
	
	private final String value;

    XActRelationshipExternalReference(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XActRelationshipExternalReference fromValue(String v) {
        for (XActRelationshipExternalReference c: XActRelationshipExternalReference.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}